<?php
require_once '../Init/init.php';
$ApiPostData["txn_sub_type"] = isset($_POST["txn_sub_type"]) ? $_POST["txn_sub_type"] : "";//操作类型（09退款申请，10退款状态查询）
$ArrayData = array("txn_sub_type"=> $ApiPostData["txn_sub_type"],                    
                    "member_id"=> $GLOBALS["Member_Id"],
                    "terminal_id"=> $GLOBALS["Terminal_Id"],
                    "trans_serial_no"=> "RTSN".Tools::getTransid().Tools::getRand4(),//退款流水号(每次请求不重复)
                    "additional_info"=> "附加信息",
                    "req_reserved"=> "保留" );

if($ApiPostData["txn_sub_type"] == "09"){
                    //======================接收参数=======================================
                    $trans_id = isset($_POST["trans_id"]) ? $_POST["trans_id"] : "";//原商户订单号
                    $refund_type = isset($_POST["refund_type"]) ? $_POST["refund_type"] : "8";//退款类型
                    $txn_amt = isset($_POST["refund_amt"]) ? $_POST["refund_amt"] : "0";
                    $txn_amt*=100;//金额转换成分为单位整型（超过1000万请用较大的数据类型）
                    //===============================================
                    $ArrayData["trans_id"]= $trans_id;
                    $ArrayData["refund_order_no"]= "RON".Tools::getTransid().Tools::getRand4();//退款时商户端生成的订单号(每次请求不重复)
                    $ArrayData["refund_reason"]= "退款原因";
                    $ArrayData["refund_amt"]= $txn_amt;//退款金额
                    $ArrayData["refund_time"]= Tools::getTime("YmdHis");//退款发起时间 
                    $ArrayData["notice_url"]= $GLOBALS["Notice_Url"];//退款成功后通知地址。
                    $ArrayData["refund_type"]= $refund_type;//1:网银、2:认证支付
    
}elseif($ApiPostData["txn_sub_type"] == "10"){ 
                    $Refund_ID = isset($_POST["refund_order_no"]) ? $_POST["refund_order_no"] : "";//退款商户订单号
                    $ArrayData["refund_order_no"]= $Refund_ID;//商户退款时生成的订单号
}  else {
    echo "[txn_sub_type]请求参数不正确";
    die();//异常结束
}

if($ApiPostData["data_type"] == "json")
{
    $Encrypted_string = str_replace("\\/", "/",json_encode($ArrayData));//转JSON
}else{
    $toxml = new SdkXML();
    $Encrypted_string = $toxml->toXml($ArrayData);//转XML
}

Log::LogWirte("[请求报文（$ApiPostData[data_type] 序列化）：]".$Encrypted_string);

$Encrypted = RSAUtil::encryptByPFXFile($Encrypted_string, $GLOBALS["PFX_FILE_PATH"], $GLOBALS["KEY_PWD"]);//先BASE64进行编码再RSA加密
Log::LogWirte("[加密密文：]".$Encrypted);//记录日志
$ApiPostData["data_content"]=$Encrypted;

Log::LogWirte("[请求参数：]".http_build_query($ApiPostData));

$Result_Str = HttpClient::Post($ApiPostData, $GLOBALS["POST_URL"]);//发送请求并接收结果
Log::LogWirte("[返回结果：]".$Result_Str);
$Result_DeStr = RSAUtil::decryptByCERFile($Result_Str, $GLOBALS["CER_FILE_PATH"]);

Log::LogWirte("[返回结果解密：]".$Result_DeStr);


if(!empty($Result_DeStr)){//解析返回参数。
    if($ApiPostData["data_type"] =="xml"){
        $endata_content = SdkXML::XTA($Result_DeStr);
    }else{
        $endata_content = json_decode($Result_DeStr,TRUE);
    }
    var_dump($endata_content);
}

die();