<?php
/**
 * Company: www.baofu.com
 * @author dasheng(大圣)
 * @date 2023年3月2日
 */

\header("Content-type: text/html; charset=utf-8"); 
//====================配置商户的宝付接口授权参数============================
$ServicesPath = $_SERVER['DOCUMENT_ROOT'];
$KeyFolder = $ServicesPath."/CerFile/";	//证书路径
require_once($ServicesPath."/SecurityUtil/RSAUtil.php");
require_once($ServicesPath."/Util/Log.php");
require_once($ServicesPath."/Util/HttpClient.php");
require_once($ServicesPath."/Util/Tools.php");
require_once($ServicesPath."/Util/SdkXML.php");

//====================配置商户的宝付接口授权参数==============
$Version = "4.0.0.0";//版本号
$Member_Id = "100029078";	//商户号
$Terminal_Id = "200004282";	//终端号

$KEY_PWD = "123456";	//商户私钥证书密码

$PFX_FILE_PATH = $KeyFolder."bfkey_100029078@@200004282.pfx";  //注意证书路径是否存在
$CER_FILE_PATH = $KeyFolder."bfkey_100029078@@200004282.cer";//注意证书路径是否存在

$Data_Type="xml";//加密报文的数据类型（xml/json）
$Txn_Type = "331";

$Notice_Url="http://www.baofoo.com";//退款成功异步通知地址(商户填自己的地址)

$POST_URL = "https://vgw.baofoo.com/cutpayment/api/backTransRequest";  //测试环境请求地址

$ApiPostData = array("version" => "4.0.0.0",//请求参数（明文参数）
                    "member_id" =>$Member_Id,
                    "terminal_id" => $Terminal_Id,
                    "txn_type" => $Txn_Type,
                    "data_type" => $Data_Type);